Skip to main content
GET
/
ml
/
monitoring
/
models
List monitored models
curl --request GET \
  --url https://acusight.io/api/ml/monitoring/models \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "avg_confidence": 123,
      "avg_inference_time_ms": 123,
      "classes": [
        "<string>"
      ],
      "deployed_count": 123,
      "deployment_type": "<string>",
      "devices": [
        {
          "avg_confidence": 123,
          "avg_inference_time_ms": 123,
          "device_id": "<string>",
          "device_name": "<string>",
          "inference_rate": 123,
          "last_inference_seconds": 123,
          "total_inferences": 123
        }
      ],
      "devices_reporting": 123,
      "has_metrics": true,
      "id": 123,
      "inference_rate": 123,
      "inferences_per_minute": 123,
      "is_production": true,
      "last_inference_seconds": 123,
      "name": "<string>",
      "predictions_per_minute": 123,
      "project_id": 123,
      "total_inferences": 123,
      "version": 123,
      "window_seconds": 123
    }
  ],
  "error": {
    "code": "<string>",
    "details": "<string>",
    "message": "<string>"
  },
  "meta": {
    "count": 123,
    "limit": 123,
    "offset": 123,
    "total": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

JWT access token. Paste the token only; the Bearer prefix is added automatically.

Query Parameters

range
enum<string>

Metrics window

Available options:
15m,
1h,
6h,
24h,
7d,
14d,
30d

Response

Model monitoring data

data
object[]
error
object
meta
object
success
boolean